Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::D3D9VideoMode Class Reference

`#include <OgreD3D9VideoMode.h>`

List of all members.

## Public Methods

| D3D9VideoMode ()
| D3D9VideoMode (const D3D9VideoMode &ob)
| D3D9VideoMode (D3DDISPLAYMODE d3ddm)
| ~D3D9VideoMode ()
unsigned int | getWidth () const
unsigned int | getHeight () const
D3DFORMAT | getFormat () const
unsigned int | getRefreshRate () const
unsigned int | getColourDepth () const
D3DDISPLAYMODE | getDisplayMode () const
void | increaseRefreshRate (unsigned int rr)
String | getDescription () const

## Private Attributes

D3DDISPLAYMODE | mDisplayMode
unsigned int | modeNumber

## Constructor & Destructor Documentation

Ogre::D3D9VideoMode::D3D9VideoMode | ( |  | ) |

| Definition at line 46 of file OgreD3D9VideoMode.h. References mDisplayMode, Ogre::modeCount, and modeNumber.

Ogre::D3D9VideoMode::D3D9VideoMode | ( | const D3D9VideoMode & | ob | ) |

| Definition at line 47 of file OgreD3D9VideoMode.h. References mDisplayMode, Ogre::modeCount, and modeNumber.

Ogre::D3D9VideoMode::D3D9VideoMode | ( | D3DDISPLAYMODE | d3ddm | ) |

| Definition at line 48 of file OgreD3D9VideoMode.h. References mDisplayMode, Ogre::modeCount, and modeNumber.

Ogre::D3D9VideoMode::~D3D9VideoMode | ( |  | ) |

| Definition at line 49 of file OgreD3D9VideoMode.h. References Ogre::modeCount.

## Member Function Documentation

unsigned int Ogre::D3D9VideoMode::getColourDepth | ( |  | ) | const

| Definition at line 42 of file OgreD3D9VideoMode.cpp. References mDisplayMode. Referenced by Ogre::D3D9RenderSystem::initialise().

String Ogre::D3D9VideoMode::getDescription | ( |  | ) | const

| Definition at line 29 of file OgreD3D9VideoMode.cpp. References mDisplayMode, and Ogre::String. Referenced by Ogre::D3D9RenderSystem::initialise(), and Ogre::D3D9RenderSystem::refreshD3DSettings().

D3DDISPLAYMODE Ogre::D3D9VideoMode::getDisplayMode | ( |  | ) | const

| Definition at line 59 of file OgreD3D9VideoMode.h. References mDisplayMode.

D3DFORMAT Ogre::D3D9VideoMode::getFormat | ( |  | ) | const

| Definition at line 56 of file OgreD3D9VideoMode.h. References mDisplayMode. Referenced by Ogre::D3D9RenderSystem::setConfigOption().

unsigned int Ogre::D3D9VideoMode::getHeight | ( | void |  | ) | const

| Definition at line 55 of file OgreD3D9VideoMode.h. References mDisplayMode. Referenced by Ogre::D3D9RenderSystem::initialise().

unsigned int Ogre::D3D9VideoMode::getRefreshRate | ( |  | ) | const

| Definition at line 57 of file OgreD3D9VideoMode.h. References mDisplayMode.

unsigned int Ogre::D3D9VideoMode::getWidth | ( | void |  | ) | const

| Definition at line 54 of file OgreD3D9VideoMode.h. References mDisplayMode. Referenced by Ogre::D3D9RenderSystem::initialise().

void Ogre::D3D9VideoMode::increaseRefreshRate | ( | unsigned int | rr | ) |

| Definition at line 60 of file OgreD3D9VideoMode.h. References mDisplayMode.

## Member Data Documentation

D3DDISPLAYMODE Ogre::D3D9VideoMode::mDisplayMode`[private]`

| Definition at line 42 of file OgreD3D9VideoMode.h. Referenced by D3D9VideoMode(), getColourDepth(), getDescription(), getDisplayMode(), getFormat(), getHeight(), getRefreshRate(), getWidth(), and increaseRefreshRate().

unsigned int Ogre::D3D9VideoMode::modeNumber`[private]`

| Definition at line 43 of file OgreD3D9VideoMode.h. Referenced by D3D9VideoMode().

The documentation for this class was generated from the following files:

- OgreD3D9VideoMode.h
- OgreD3D9VideoMode.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:29 2004